import React, { useState } from "react";
import logo from "./logo.svg";
import "./App.css";

interface GreeterProps {}

const Greeter: React.FC<GreeterProps> = (props) => {
  const [name, setName] = useState("");
  return (
    <div>
      <div>{name.length ? <>Hello {name}</> : <>What is your name? </>}</div>
      <input
        autoFocus
        type="text"
        value={name}
        onChange={(e) => setName(e.target.value)}
      />
    </div>
  );
};

function App() {
  const [count, setCount] = useState(0);
  return (
    <div className="App">
      <header className="App-header">
        <img
          src={logo}
          className={count % 2 === 0 ? "App-logo" : "App-logo spin-reverse"}
          alt="logo"
        />
        <p>Hello Vite + React!</p>
        <p>
          <button type="button" onClick={() => setCount((count) => count + 1)}>
            count is: {count}
          </button>
        </p>
        <Greeter />
      </header>
    </div>
  );
}

export default App;
